[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Installing Python 2.4



Alexander Dalloz escribió:
Am Mi, den 01.12.2004 schrieb Mariano Draghi um 21:50:

In http://www.python.org/2.4/rpms.html there are RPM packages for FC3, and a Yum repository provided by python.org (hey! so far FC3 is the only distro with RPMs provided by python.org itself!)

Do you really *need* the Python 2.4?

Sort of. I'm involved in a couple of projects that, given their early stage development status, may choose 2.4 as the base version to use, and rely on some 2.4 features.
Some of these features may be easily ported/installed in 2.3.x (ex the new Decimal module), some others may not.



So, it's safe to install this, or I'd be better waiting for an official update? (assuming there are plans for such an update...)

Reading the whole page it states:


"A) The RPMs that start with "python2.4" are built to not interfere with
the system Python. They install as "/usr/bin/python2.4" and will not
conflict with the system Python unless you are running on a system that
ships the a version of Python which has the same major/minor number."

I'd try to install 2.4 as a replacement of 2.3.x. If that's impossible, or too risky, or involves lots of tweaking, I'll take the easy path (parallel install). If not, I'd like to drop 2.3.x in favour of 2.4.


So the question is how nice does Python 2.4 play as "the system Python"... and I realize that I should have been more clear in my original post. My fault.

--
Mariano


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]